Skip to main content
GET
/
v2
/
offramps
List all offramps
curl --request GET \
  --url https://production.hifibridge.com/v2/offramps \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://production.hifibridge.com/v2/offramps"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://production.hifibridge.com/v2/offramps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 1,
  "records": [
    {
      "transferType": "OFFRAMP",
      "transferDetails": {
        "id": "173c1e89-7bbd-4352-9e5d-73807681510d",
        "requestId": "201ca31d-700f-4c76-ac4b-961623acbb79",
        "createdAt": "2025-02-03T16:12:04.331652+00:00",
        "updatedAt": "2025-02-03T16:12:08.732+00:00",
        "status": "COMPLETED",
        "failedReason": null,
        "source": {
          "userId": "7d54a7a7-dac3-4313-8b09-27fa4b7fd1ee",
          "chain": "POLYGON",
          "currency": "usdc",
          "amount": 10,
          "walletAddress": "0x366B759bAA089Fa57a08edd3F2E028E86b97f8D6",
          "user": {
            "email": "john.doe@hifibridge.com",
            "firstName": "John",
            "lastName": "Doe",
            "businessName": null
          }
        },
        "destination": {
          "userId": "7d54a7a7-dac3-4313-8b09-27fa4b7fd1ee",
          "amount": 0,
          "currency": "usd",
          "wireMessage": "Wire message",
          "achReference": "ACH reference",
          "paymentReference": "Payment reference",
          "user": {
            "email": "john.doe@hifibridge.com",
            "firstName": "John",
            "lastName": "Doe",
            "businessName": null
          },
          "accountId": "12c1c496-8f57-41a1-8292-dbe6547791ce"
        },
        "receipt": {
          "transactionHash": null,
          "paymentTracking": {
            "imad": "20250827SIM14AE0135526",
            "omad": "20250827SIM22390135526",
            "paymentRail": "wire"
          }
        },
        "developerFee": {
          "id": "1c3d24c1-6136-574c-a647-e7eb6a9fb6ed",
          "transactionHash": null,
          "fees": [
            {
              "type": "PERCENTAGE",
              "value": "0.0005",
              "amount": "0.000515",
              "walletAddress": "0x366B759bAA089Fa57a08edd3F2E028E86b97f8D7"
            },
            {
              "type": "FLAT",
              "value": "0.01",
              "amount": "0.010000",
              "walletAddress": "0x366B759bAA089Fa57a08edd3F2E028E86b97f8D7"
            }
          ]
        },
        "quoteInformation": {
          "sendGross": {
            "amount": "10",
            "currency": "usdc"
          },
          "sendNet": {
            "amount": "10",
            "currency": "usdc"
          },
          "receiveGross": {
            "amount": "10",
            "currency": "usd"
          },
          "receiveNet": {
            "amount": "10",
            "currency": "usd"
          },
          "rate": "1"
        },
        "depositInformation": []
      }
    }
  ]
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}
{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

userId
string

The user ID.

limit
string

default to 10, maximum to 100

createdBefore
string<date>

ISO format: YYYY-MM-DD

createdAfter
string<date>

ISO format: YYYY-MM-DD

Response

Success

count
integer
records
object[]
nextCursor
string

The createdAt timestamp of the last record in the current page. Pass this as createdBefore in the next request to retrieve the next page of results.